• Is it possible to replace Dojo on the Domino Server with the latest version Dojo 1.6

    By martin meijer 10 years ago

    I discoverd some issues with the djTabPane in ie9. I looked at the Dojo website and tested the 1.6 samples and that worked correct. Now my question is can I replace the version of Dojo that was shipped with the Domino Server 8.5.2. with the latest version of Dojo (version 1.6) without breaking anything and how can I install the new version on my Domino server?

    • re: replacing Dojo on the Domino Server

      By Martin Donnelly 10 years ago

      Hi Martin

      See the comments in the xsp.properties.sample file located in the properties folder under the your Domino data directory.
      I have copy/pasted them here, as follows:

      # #######################################
      # CLIENT SIDE JAVASCRIPT
      # #######################################

      # The version of the Dojo Toolkit to use.
      # By default the Dojo version is detected by examining the folder
      # Data/domino/js/ for subfolders with names like dojo-,
      # and using the latest version available.
      # Change this setting if you are installing different versions of Dojo
      # in that folder and you need XPages to use a specific version.
      # Note, using XPages with a Dojo version other than the default is unsupported;
      # if you do so you will need to test for compatibility problems.
      #xsp.client.script.dojo.version=


      So if you install Dojo 1.6 on the server it will get picked up by all apps at this is the greatest verstion number.
      You probably don't want to apply Dojo 1.6 to all XPages apps, so you could set the general Dojo version to 1.5.0 - as described above:
      xsp.client.script.dojo.version=1.5.0

      Then for a particular app, you could set the Dojo version to 1.6.0 in the application's xsp.properties file in Domino Designer.

      This is assuming that you only want to use Dojo 1.6 with experimental apps, as there could well be other issues when it is  integrated with XPages on the fly like this.  Generally we have issues to resolve whenever we upgrade to a new version of Dojo, so I expect your experience to be no different.

      Hope this answers your question,
      -Martin

      • Dojo

        By the gondolas 10 years ago

        You will need to be carefull replacing the dojo version as some of the in built functions used by Xpages may not work as there is an extra catalogue under dojo ibm which will need to be added and it may not be compatible with the latest version.

        These functions include:

        Partial updates

        Date fields

        So my advice is yes try it out to see if it works but test, test and test